Subject: bug#12650: Bug in date command

From: Assaf Gordon <[email-masked]>
Date: Tue, 23 Oct 2018 16:12:08 -0600

close 12650
stop

(triaging old bugs)

On 14/10/12 05:28 PM, Bob Proulx wrote:
> 
> Thiago Picharski wrote:
>> I'm trying run this command "date -d 12-10-21", but occur the follow
>> error, date: invalid date "12-10-21"
>> and finalize with error code 1.
> 
> [...]
> The basic problem is that when you specify 12-10-21 it means 0000
> hours.  That is often when DST changes.  Better to specify noon
> instead which is far from when DST changes.
> 
[...]
> Very likely those dates are valid.  Since you didn't say what timezone
> you are working in I can't look to see what was happening there.
> 

With no further comments to Bob's explanation in 6 years,
I'm closing this bug.

-assaf